> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> Used to get a list of tasks.

## OpenAPI

````json POST /list/task
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/list/task": {
      "post": {
        "summary": "List tasks",
        "description": "Used to get a list of tasks.",
        "operationId": "task-list",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "limit": {
                    "type": "integer",
                    "format": "int32",
                    "description": "Used with *offset* for pagination"
                  },
                  "offset": {
                    "type": "integer",
                    "format": "int32",
                    "description": "Used with *limit* for pagination"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "200",
                      "default": "0"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": "5853",
                            "default": "0"
                          },
                          "project_id": {
                            "type": "integer",
                            "example": "1",
                            "default": "0"
                          },
                          "identifier": {
                            "type": "string",
                            "example": "profile_import"
                          },
                          "info": {
                            "type": "string",
                            "example": ""
                          },
                          "params": {
                            "type": "object",
                            "properties": {
                              "fileId": {
                                "type": "string",
                                "example": "11ead35649121a69b6400a5174242624"
                              },
                              "profileIdentifier": {
                                "type": "integer",
                                "example": "1",
                                "default": "0"
                              },
                              "event": {},
                              "origin": {}
                            }
                          },
                          "result": {},
                          "errors": {
                            "type": "object",
                            "properties": {
                              "file[columns]": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "Column 'firstname' is not set to be a profile attribute"
                                }
                              },
                              "file[rows]": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "Rows must contain identifier (Row 4)"
                                }
                              }
                            }
                          },
                          "create_time": {
                            "type": "integer",
                            "example": "1596217813",
                            "default": "0"
                          },
                          "start_time": {
                            "type": "integer",
                            "example": "1596217813",
                            "default": "0"
                          },
                          "finish_time": {
                            "type": "integer",
                            "example": "1596217813",
                            "default": "0"
                          },
                          "status": {
                            "type": "integer",
                            "example": "2",
                            "default": "0"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "true",
                      "code": "200",
                      "data": [
                        {
                          "id": "5853",
                          "project_id": "1",
                          "identifier": "profile_import",
                          "params": {
                            "fileId": "11ead35649121a69b6400a5174242624",
                            "profileIdentifier": "1"
                          },
                          "errors": {
                            "file[columns]": [
                              "Column 'firstname' is not set to be a profile attribute"
                            ],
                            "file[rows]": [
                              "Rows must contain identifier (Row 4)"
                            ]
                          },
                          "create_time": "1596217813",
                          "start_time": "1596217813",
                          "finish_time": "1596217813",
                          "status": "2"
                        },
                        {
                          "id": "5852",
                          "project_id": "1",
                          "identifier": "profile_import",
                          "params": {
                            "fileId": "11ead35443ecf5b6b6400a5174242624",
                            "profileIdentifier": "1"
                          },
                          "errors": {
                            "file[columns]": [
                              "Column 'first.name' is not a recognized user profile field or attribute",
                              "Column 'LTV' is not a recognized user profile field or attribute"
                            ]
                          },
                          "create_time": "1596216945",
                          "start_time": "1596216946",
                          "finish_time": "1596216946",
                          "status": "2"
                        },
                        {
                          "id": "62",
                          "project_id": "1",
                          "identifier": "profile_import",
                          "params": {
                            "fileId": "11ea41e98278cd8abd07065d6cbde52a",
                            "profileIdentifier": "1"
                          },
                          "errors": {
                            "file[rows]": [
                              "7 Rows must contain identifier ( Row 6, Row 11, Row 13, Row 18, ...)",
                              "9 Rows are duplicates ( Row 12, Row 14, Row 15, Row 19, ...)"
                            ]
                          },
                          "create_time": "1580228176",
                          "start_time": "1580228176",
                          "finish_time": "1580228176",
                          "status": "2"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "General error information"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "text": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "General error information",
                      "errors": [
                        {
                          "text": [
                            "Detailed information about the specific error"
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Task Methods"
        ]
      }
    }
  }
}
````

